--==========================================================================================================================	
-- CIVILIZATIONS
--==========================================================================================================================	
--------------------------------	
-- Civilization_UnitClassOverrides 
--------------------------------		
INSERT INTO Civilization_UnitClassOverrides 
			(CivilizationType, 			UnitClassType, 			UnitType)
VALUES		('CIVILIZATION_BYZANTIUM',	'UNITCLASS_GALLEASS', 	'UNIT_BYZANTINE_DROMON');
--==========================================================================================================================	
-- UNITS
--==========================================================================================================================	
--------------------------------	
-- Units
--------------------------------
UPDATE Units SET 
	MinorCivGift = '0', 
	Class = 'UNITCLASS_GALLEASS', 
	Cost = '175', 
	FaithCost = '300', 
	PrereqTech = 'TECH_THEOLOGY', 
	ObsoleteTech = 'TECH_DYNAMITE', 
	Combat = '18',
	RangedCombat = '26',
	Moves = '4' 
WHERE Type = 'UNIT_BYZANTINE_DROMON';
--------------------------------	
-- Unit_FreePromotions
--------------------------------
DELETE FROM Unit_FreePromotions WHERE UnitType = 'UNIT_BYZANTINE_DROMON';

INSERT INTO Unit_FreePromotions 	
			(UnitType, 					PromotionType)
SELECT		'UNIT_BYZANTINE_DROMON', 	PromotionType
FROM Unit_FreePromotions WHERE UnitType = 'UNIT_GALLEASS';

INSERT INTO Unit_FreePromotions
			(UnitType, 				PromotionType)
VALUES		('UNIT_BYZANTINE_DROMON',	'PROMOTION_UNIT_BYZANTIUM_GREEK_FIRE_0'),
			('UNIT_BYZANTINE_DROMON',	'PROMOTION_SPLASH');
--------------------------------	
-- Unit_BuildingClassPurchaseRequireds
--------------------------------
INSERT INTO Unit_BuildingClassPurchaseRequireds (UnitType, BuildingClassType) SELECT 'UNIT_BYZANTINE_DROMON', 'BUILDINGCLASS_LIGHTHOUSE';
--------------------------------	
-- Unit_ClassUpgrades
--------------------------------
UPDATE Unit_ClassUpgrades SET UnitClassType = 'UNITCLASS_FRIGATE' WHERE UnitType = 'UNIT_BYZANTINE_DROMON';
--------------------------------	
-- Unit_Flavors
--------------------------------
UPDATE Unit_Flavors SET Flavor = '20' WHERE UnitType = 'UNIT_BYZANTINE_DROMON' AND FlavorType = 'FLAVOR_NAVAL';
UPDATE Unit_Flavors SET Flavor = '14' WHERE UnitType = 'UNIT_BYZANTINE_DROMON' AND FlavorType = 'FLAVOR_NAVAL_RECON';
--==========================================================================================================================	
-- UNITSCLASSES
--==========================================================================================================================	
--------------------------------	
-- UnitClasses
--------------------------------
DELETE FROM UnitClasses WHERE Type = 'UNITCLASS_DROMON';
--==========================================================================================================================	
-- PROMOTIONS
--==========================================================================================================================	
INSERT INTO UnitPromotions 
			(Type, 										Description, 										Help, 													Sound, 				LostWithUpgrade,	CannotBeChosen, PortraitIndex, 	IconAtlas, 				PediaType, 		PediaEntry)
VALUES		('PROMOTION_UNIT_BYZANTIUM_GREEK_FIRE_0', 	'TXT_KEY_PROMOTION_UNIT_BYZANTIUM_GREEK_FIRE_0',	'TXT_KEY_PROMOTION_UNIT_BYZANTIUM_GREEK_FIRE_0_HELP', 	'AS2D_IF_LEVELUP',	1,					1, 				28, 			'promoMUC_atlas_00', 	'PEDIA_NAVAL',	'TXT_KEY_PROMOTION_UNIT_BYZANTIUM_GREEK_FIRE_0'),
			('PROMOTION_UNIT_BYZANTIUM_GREEK_FIRE_1', 	'TXT_KEY_PROMOTION_UNIT_BYZANTIUM_GREEK_FIRE_1',	'TXT_KEY_PROMOTION_UNIT_BYZANTIUM_GREEK_FIRE_1_HELP', 	'AS2D_IF_LEVELUP',	1,					1, 				29, 			'promoMUC_atlas_00', 	'PEDIA_NAVAL',	'TXT_KEY_PROMOTION_UNIT_BYZANTIUM_GREEK_FIRE_1'),
			('PROMOTION_UNIT_BYZANTIUM_GREEK_FIRE_2',	'TXT_KEY_PROMOTION_UNIT_BYZANTIUM_GREEK_FIRE_2',	'TXT_KEY_PROMOTION_UNIT_BYZANTIUM_GREEK_FIRE_2_HELP', 	'AS2D_IF_LEVELUP',	1,					1, 				30, 			'promoMUC_atlas_00', 	'PEDIA_NAVAL',	'TXT_KEY_PROMOTION_UNIT_BYZANTIUM_GREEK_FIRE_2'),
			('PROMOTION_UNIT_BYZANTIUM_GREEK_FIRE_3',	'TXT_KEY_PROMOTION_UNIT_BYZANTIUM_GREEK_FIRE_3',	'TXT_KEY_PROMOTION_UNIT_BYZANTIUM_GREEK_FIRE_3_HELP', 	'AS2D_IF_LEVELUP',	1,					1, 				31, 			'promoMUC_atlas_00', 	'PEDIA_NAVAL',	'TXT_KEY_PROMOTION_UNIT_BYZANTIUM_GREEK_FIRE_3');
